Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class ProcessingTimeInterceptor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.interceptor.AbstractEnvelopeInterceptor
              org.mule.interceptor.ProcessingTimeInterceptor

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Interceptor, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class ProcessingTimeInterceptor

extends AbstractEnvelopeInterceptor

Calculate and record the processing time for a message processing chain

Field Summary

Fields inherited from class org.mule.interceptor.AbstractEnvelopeInterceptor
`flowConstruct`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`ProcessingTimeInterceptor()`
`ProcessingTimeInterceptor(MessageProcessor next, FlowConstruct fc)`

Method Summary
`MuleEvent` | `after(MuleEvent event)` This method is invoked after the event has been processed, unless an exception was thrown
`MuleEvent` | `before(MuleEvent event)` This method is invoked before the event is processed
`MuleEvent` | `last(MuleEvent event, ProcessingTime time, long startTime, boolean exceptionWasThrown)` This method is always invoked after the event has been processed,

Methods inherited from class org.mule.interceptor.AbstractEnvelopeInterceptor
`process, setFlowConstruct`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Constructor Detail

### ProcessingTimeInterceptor

    public ProcessingTimeInterceptor()

### ProcessingTimeInterceptor

    public ProcessingTimeInterceptor(MessageProcessor next,
                                     FlowConstruct fc)

Method Detail

### before

    public MuleEvent before(MuleEvent event)
                     throws MuleException

  Description copied from class: `AbstractEnvelopeInterceptor`
  This method is invoked before the event is processed

  Specified by:
    `before` in class `AbstractEnvelopeInterceptor`
  Throws:
    `MuleException`

### after

    public MuleEvent after(MuleEvent event)
                    throws MuleException

  Description copied from class: `AbstractEnvelopeInterceptor`
  This method is invoked after the event has been processed, unless an exception was thrown

  Specified by:
    `after` in class `AbstractEnvelopeInterceptor`
  Throws:
    `MuleException`

### last

    public MuleEvent last(MuleEvent event,
                          ProcessingTime time,
                          long startTime,
                          boolean exceptionWasThrown)
                   throws MuleException

  Description copied from class: `AbstractEnvelopeInterceptor`
  This method is always invoked after the event has been processed,

  Specified by:
    `last` in class `AbstractEnvelopeInterceptor`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.